summaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-12-01 06:15:04 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-12-01 06:15:04 +0000
commite970e0b37b8bd7f246feb3f70c4136418225e434 (patch)
tree0b67c0ca45f56f2f9d9c5c2e725279ecdf52d2eb /.travis
parentAdding upstream version 1.31.0. (diff)
downloadnetdata-e970e0b37b8bd7f246feb3f70c4136418225e434.tar.xz
netdata-e970e0b37b8bd7f246feb3f70c4136418225e434.zip
Adding upstream version 1.32.0.upstream/1.32.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/create_artifacts.sh14
-rw-r--r--.travis/current_build_status1
-rwxr-xr-x.travis/trigger_artifact_build.sh20
3 files changed, 33 insertions, 2 deletions
diff --git a/.travis/create_artifacts.sh b/.travis/create_artifacts.sh
index a5349cca3..27428913e 100755
--- a/.travis/create_artifacts.sh
+++ b/.travis/create_artifacts.sh
@@ -52,8 +52,12 @@ make dist
mv "${BASENAME}.tar.gz" artifacts/
echo "--- Create self-extractor ---"
-command -v git > /dev/null && [ -d .git ] && git clean -d -f
-./packaging/makeself/build-x86_64-static.sh
+sxarches="x86_64 armv7l aarch64"
+for arch in ${sxarches}; do
+ git clean -d -f
+ rm -rf packating/makeself/tmp
+ ./packaging/makeself/build-static.sh ${arch}
+done
# Needed for GCS
echo "--- Copy artifacts to separate directory ---"
@@ -61,7 +65,13 @@ echo "--- Copy artifacts to separate directory ---"
cp packaging/version artifacts/latest-version.txt
cd artifacts
ln -s "${BASENAME}.tar.gz" netdata-latest.tar.gz
+
+for arch in ${sxarches}; do
+ ln -s "netdata-${arch}-$(git describe).gz.run" netdata-${arch}-latest.gz.run
+done
+
ln -s "${BASENAME}.gz.run" netdata-latest.gz.run
+
sha256sum -b ./* > "sha256sums.txt"
echo "checksums:"
cat sha256sums.txt
diff --git a/.travis/current_build_status b/.travis/current_build_status
new file mode 100644
index 000000000..11a6d0a54
--- /dev/null
+++ b/.travis/current_build_status
@@ -0,0 +1 @@
+changes-#18220
diff --git a/.travis/trigger_artifact_build.sh b/.travis/trigger_artifact_build.sh
new file mode 100755
index 000000000..3ec5d02d0
--- /dev/null
+++ b/.travis/trigger_artifact_build.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+token="${1}"
+version="${2}"
+type="${3}"
+
+resp="$(curl -X POST \
+ -H 'Accept: application/vnd.github.v3+json' \
+ -H "Authorization: Bearer ${token}" \
+ "https://api.github.com/repos/netdata/netdata/actions/workflows/build.yml/dispatches" \
+ -d "{\"ref\": \"master\", \"inputs\": {\"version\": \"${version}\", \"type\": \"${type}\"}}")"
+
+if [ -z "${resp}" ]; then
+ echo "Successfully triggered release artifact build."
+ exit 0
+else
+ echo "Failed to trigger release artifact build. Output:"
+ echo "${resp}"
+ exit 1
+fi